From cf5d28652dbe896a95939e5b72dec05b48134f45 Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Mon, 21 Jul 2025 22:40:19 +0530
Subject: [PATCH v1] Update examples in logical replication docs

Defination of \dRp+ was changed by commit 03b08c8. This patch updates
the examples of column list and row filter to reflect this change.
---
 doc/src/sgml/logical-replication.sgml | 42 +++++++++++++--------------
 1 file changed, 21 insertions(+), 21 deletions(-)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index e26f7f59d4a..48edb35a260 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -1048,28 +1048,28 @@ HINT:  To initiate replication, you must manually create the replication slot, e
     defined) for each publication.
 <programlisting><![CDATA[
 /* pub # */ \dRp+
-          Publication p1
-  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Via root
-----------+------------+---------+---------+---------+-----------+----------
- postgres | f          | t       | t       | t       | t         | f
+                                         Publication p1
+  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Generated columns | Via root
+----------+------------+---------+---------+---------+-----------+-------------------+----------
+ postgres | f          | t       | t       | t       | t         | none              | f
 Tables:
- "public.t1" WHERE ((a > 5) AND (c = 'NSW'::text))
+    "public.t1" WHERE ((a > 5) AND (c = 'NSW'::text))
 
-          Publication p2
-  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Via root
-----------+------------+---------+---------+---------+-----------+----------
- postgres | f          | t       | t       | t       | t         | f
+                                         Publication p2
+  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Generated columns | Via root
+----------+------------+---------+---------+---------+-----------+-------------------+----------
+ postgres | f          | t       | t       | t       | t         | none              | f
 Tables:
- "public.t1"
- "public.t2" WHERE (e = 99)
+    "public.t1"
+    "public.t2" WHERE (e = 99)
 
-          Publication p3
-  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Via root
-----------+------------+---------+---------+---------+-----------+----------
- postgres | f          | t       | t       | t       | t         | f
+                                         Publication p3
+  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Generated columns | Via root
+----------+------------+---------+---------+---------+-----------+-------------------+----------
+ postgres | f          | t       | t       | t       | t         | none              | f
 Tables:
- "public.t2" WHERE (d = 10)
- "public.t3" WHERE (g = 10)
+    "public.t2" WHERE (d = 10)
+    "public.t3" WHERE (g = 10)
 ]]></programlisting></para>
 
    <para>
@@ -1491,10 +1491,10 @@ Publications:
      for each publication.
 <programlisting>
 /* pub # */ \dRp+
-                               Publication p1
-  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Via root
-----------+------------+---------+---------+---------+-----------+----------
- postgres | f          | t       | t       | t       | t         | f
+                                         Publication p1
+  Owner   | All tables | Inserts | Updates | Deletes | Truncates | Generated columns | Via root
+----------+------------+---------+---------+---------+-----------+-------------------+----------
+ postgres | f          | t       | t       | t       | t         | none              | f
 Tables:
     "public.t1" (id, a, b, d)
 </programlisting></para>
-- 
2.34.1

